Upstream information

CVE-2016-10739 at MITRE

Description

In the GNU C Library (aka glibc or libc6) through 2.28, the getaddrinfo function would successfully parse a string that contained an IPv4 address followed by whitespace and arbitrary characters, which could lead applications to incorrectly assume that it had parsed a valid string, without the possibility of embedded HTTP headers or other potentially dangerous substrings.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 4.5
Vector AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L AV:L/AC:H/PR:L/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact Low Low
SUSE Bugzilla entry: 1122729 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • glibc >= 2.22-100.8.1
  • glibc-32bit >= 2.22-100.8.1
  • glibc-devel >= 2.22-100.8.1
  • glibc-devel-32bit >= 2.22-100.8.1
  • glibc-i18ndata >= 2.22-100.8.1
  • glibc-locale >= 2.22-100.8.1
  • glibc-locale-32bit >= 2.22-100.8.1
  • nscd >= 2.22-100.8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1102
SUSE Linux Enterprise Module for Basesystem 15
  • glibc >= 2.26-13.19.1
  • glibc-32bit >= 2.26-13.19.1
  • glibc-devel >= 2.26-13.19.1
  • glibc-extra >= 2.26-13.19.1
  • glibc-i18ndata >= 2.26-13.19.1
  • glibc-info >= 2.26-13.19.1
  • glibc-locale >= 2.26-13.19.1
  • glibc-locale-base >= 2.26-13.19.1
  • glibc-profile >= 2.26-13.19.1
  • nscd >= 2.26-13.19.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-903
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • glibc >= 2.26-13.19.1
  • glibc-32bit >= 2.26-13.19.1
  • glibc-devel >= 2.26-13.19.1
  • glibc-extra >= 2.26-13.19.1
  • glibc-i18ndata >= 2.26-13.19.1
  • glibc-info >= 2.26-13.19.1
  • glibc-locale >= 2.26-13.19.1
  • glibc-locale-base >= 2.26-13.19.1
  • glibc-profile >= 2.26-13.19.1
  • nscd >= 2.26-13.19.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA glibc
SUSE Linux Enterprise Module for Development Tools 15
  • glibc >= 2.26-13.19.1
  • glibc-devel-32bit >= 2.26-13.19.1
  • glibc-devel-static >= 2.26-13.19.1
  • glibc-utils >= 2.26-13.19.1
  • glibc-utils-src >= 2.26-13.19.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-903
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • glibc-devel-32bit >= 2.26-13.19.1
  • glibc-devel-static >= 2.26-13.19.1
  • glibc-utils >= 2.26-13.19.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA glibc-devel-32bit
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • glibc >= 2.26-13.19.1
  • glibc-html >= 2.26-13.19.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-903
SUSE Linux Enterprise Server 12 SP4
  • glibc >= 2.22-100.8.1
  • glibc-32bit >= 2.22-100.8.1
  • glibc-devel >= 2.22-100.8.1
  • glibc-devel-32bit >= 2.22-100.8.1
  • glibc-html >= 2.22-100.8.1
  • glibc-i18ndata >= 2.22-100.8.1
  • glibc-info >= 2.22-100.8.1
  • glibc-locale >= 2.22-100.8.1
  • glibc-locale-32bit >= 2.22-100.8.1
  • glibc-profile >= 2.22-100.8.1
  • glibc-profile-32bit >= 2.22-100.8.1
  • nscd >= 2.22-100.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1102
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • glibc >= 2.22-100.8.1
  • glibc-32bit >= 2.22-100.8.1
  • glibc-devel >= 2.22-100.8.1
  • glibc-devel-32bit >= 2.22-100.8.1
  • glibc-html >= 2.22-100.8.1
  • glibc-i18ndata >= 2.22-100.8.1
  • glibc-info >= 2.22-100.8.1
  • glibc-locale >= 2.22-100.8.1
  • glibc-locale-32bit >= 2.22-100.8.1
  • glibc-profile >= 2.22-100.8.1
  • glibc-profile-32bit >= 2.22-100.8.1
  • nscd >= 2.22-100.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1102
SUSE Linux Enterprise Software Development Kit 12 SP4
  • glibc >= 2.22-100.8.1
  • glibc-devel-static >= 2.22-100.8.1
  • glibc-info >= 2.22-100.8.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1102
openSUSE Leap 15.0
  • glibc >= 2.26-lp150.11.17.1
  • glibc-32bit >= 2.26-lp150.11.17.1
  • glibc-32bit-debuginfo >= 2.26-lp150.11.17.1
  • glibc-debuginfo >= 2.26-lp150.11.17.1
  • glibc-debugsource >= 2.26-lp150.11.17.1
  • glibc-devel >= 2.26-lp150.11.17.1
  • glibc-devel-32bit >= 2.26-lp150.11.17.1
  • glibc-devel-32bit-debuginfo >= 2.26-lp150.11.17.1
  • glibc-devel-debuginfo >= 2.26-lp150.11.17.1
  • glibc-devel-static >= 2.26-lp150.11.17.1
  • glibc-devel-static-32bit >= 2.26-lp150.11.17.1
  • glibc-extra >= 2.26-lp150.11.17.1
  • glibc-extra-debuginfo >= 2.26-lp150.11.17.1
  • glibc-html >= 2.26-lp150.11.17.1
  • glibc-i18ndata >= 2.26-lp150.11.17.1
  • glibc-info >= 2.26-lp150.11.17.1
  • glibc-locale >= 2.26-lp150.11.17.1
  • glibc-locale-base >= 2.26-lp150.11.17.1
  • glibc-locale-base-32bit >= 2.26-lp150.11.17.1
  • glibc-locale-base-32bit-debuginfo >= 2.26-lp150.11.17.1
  • glibc-locale-base-debuginfo >= 2.26-lp150.11.17.1
  • glibc-profile >= 2.26-lp150.11.17.1
  • glibc-profile-32bit >= 2.26-lp150.11.17.1
  • glibc-testsuite-src >= 2.26-lp150.11.17.1
  • glibc-utils >= 2.26-lp150.11.17.1
  • glibc-utils-32bit >= 2.26-lp150.11.17.1
  • glibc-utils-32bit-debuginfo >= 2.26-lp150.11.17.1
  • glibc-utils-debuginfo >= 2.26-lp150.11.17.1
  • glibc-utils-src >= 2.26-lp150.11.17.1
  • glibc-utils-src-debugsource >= 2.26-lp150.11.17.1
  • nscd >= 2.26-lp150.11.17.1
  • nscd-debuginfo >= 2.26-lp150.11.17.1
Patchnames:
openSUSE-2019-1250


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 glibc Affected
CaaS Platform 2.0 glibc Affected
CaaS Platform 3.0 glibc Affected
OpenStack Cloud Magnum Orchestration 7.0 glibc Affected
SUSE Linux Enterprise Desktop 12 SP3 glibc Affected
SUSE Linux Enterprise Desktop 12 SP4 glibc Released
SUSE Linux Enterprise High Performance Computing 12 glibc Released
SUSE Linux Enterprise Module for Basesystem 15 GA glibc Released
SUSE Linux Enterprise Module for Development Tools 15 GA glibc Released
SUSE Linux Enterprise SDK 11 SP4 glibc Affected
SUSE Linux Enterprise SDK 12 SP3 glibc Affected
SUSE Linux Enterprise SDK 12 SP4 glibc Released
SUSE Linux Enterprise Server 11 SP3 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP4 glibc Affected
SUSE Linux Enterprise Server 12 GA LTSS glibc Affected
SUSE Linux Enterprise Server 12 SP2 LTSS glibc Affected
SUSE Linux Enterprise Server 12 SP3 glibc Affected
SUSE Linux Enterprise Server 12 SP4 glibc Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 glibc Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA glibc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 glibc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glibc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 glibc Released